* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

/*--------------------------------------general styles--------------------------------------------*/
/*--------------------------------------general styles--------------------------------------------*/
/*--------------------------------------general styles--------------------------------------------*/
/*--------------------------------------general styles--------------------------------------------*/

html,
body {
    /*prevent page from scrolling*/
    height: 100vh;
    overflow: hidden;
}

body {
    font-family: 'Source Code Pro', monospace;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #222222;

}

/*viewport*/
main {
    width: 960px;
    height: 600px;
    overflow: hidden;
}

/*screens*/
section {
    width: 100%;
    height: 100%;
    overflow: hidden;
}



/*-----------------------------------loading and begin button-----------------------------------------*/
/*-----------------------------------loading and begin button-----------------------------------------*/

main {
    display: none;
}

#loading {
    position: absolute;
    width: 50px;
    height: auto;
}

#begin {
    opacity: 0;
    background-color: #000000;
    color: #FFFFFF;
    margin-top: 30px;
    padding: 0.5em 1em;
    font-size: 24px;
    border: 3px solid transparent;
    border-radius: 50px;
    /*perfect pill shape*/
    transition: all 0.5s;
}

#begin:hover {
    cursor: pointer;
    background-color: #FFFFFF;
    color: #000000;
    border-color: black;
}


/*-----------------------------------next/prev play/pause buttons-------------------------------------*/
/*-----------------------------------next/prev play/pause buttons-------------------------------------*/


#playPause {
    position: absolute;
    font-size: 25px;
    font-weight: bold;
    height: 35px;
    width: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.25);
    color: #FFFFFF;
    border-radius: 50%;
    transition: background 0.5s;
    bottom: 8px;
    left: 96%;
    transform: translateX(-50%);
}

#playPause:hover {
    cursor: pointer;
    background-color: rgba(255, 255, 255, 1);
    color: #F05133;
}

#prev,
#next {
    position: absolute;
    font-size: 25px;
    font-weight: bold;
    height: 35px;
    width: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFFFFF;
    transition: background 0.5s;
}

#prev:hover,
#next:hover {
    cursor: pointer;
    color: #F05133;
}

#prev {
    left: 100px;
    bottom: 8px;
    padding-right: 3px;
    padding-bottom: 3px;
}

#next {
    right: 100px;
    bottom: 8px;
    padding-left: 3px;
    padding-bottom: 3px;
}


.play {
    position: absolute;
    width: 10px;
    height: 16px;
    margin-left: 4px;
    border-top: 8px solid transparent;
    border-left: 12px solid #FFFFFF;
    border-bottom: 8px solid transparent;
}

.pause {
    position: absolute;
    width: 12px;
    height: 16px;
    border-left: 4px solid #FFFFFF;
    border-right: 4px solid #FFFFFF;
}

#playPause:hover .play {
    border-left-color: #000000;
}

#playPause:hover .pause {
    border-right-color: #000000;
    border-left-color: #000000;
}


/*-----------------------------------------ele---------------------------------------------------*/
/*-----------------------------------------ele---------------------------------------------------*/


.eleClick {
    cursor: pointer;
}

.eleClick::after {
    content: "";
    position: absolute;
}




/*--------------------------------------screen 1------------------------------------------------*/
/*--------------------------------------intro---------------------------------------------------*/
/*--------------------------------------intro---------------------------------------------------*/
/*--------------------------------------intro---------------------------------------------------*/
/*--------------------------------------intro---------------------------------------------------*/

#screen1 {
    background-color: black;

}

#screen1 h1 {
    color: white;
    font-size: 80px;
    position: absolute;
    top: 30%;
    left: 30%;
    text-align: center;
}

#screen1 h1 span {
    font-size: 50px;
    font-weight: 400;
}


.s1virus img {
    position: absolute;
    transform: scale(0.2);
}

#s1virus1 {
    bottom: 450px;
    left: 780px;

}

#s1virus2 {
    top: 240px;
    right: 550px;

}

#s1virus3 {
    bottom: 80px;
    left: 370px;
    transform: scale(0.25);

}

#s1virus4 {
    top: 390px;
    left: 790px;
    transform: scale(0.75);

}

#s1virus5 {
    top: 250px;
    left: 470px;
    transform: scale(0.13);
}

#s1virus6 {
    top: 200px;
    left: 900px;

    transform: scale(3.5);
}

#s1virus7 {
    top: 150px;
    right: 790px;
    transform: scale(0.4);
}

#s1virus8 {
    bottom: 170px;
    left: 170px;
    transform: scale(0.1);
}

#s1virus9 {
    transform: scale(2);
    top: 550px;
    right: 870px;
}

#s1virus10 {
    transform: scale(0.6);
    bottom: 210px;
    right: 430px;

}

#s1virus11 {
    transform: scale(0.3);
    top: 180px;
    left: 130px;

}

#s1virus12 {
    bottom: 350px;
    left: 700px;
}


/*--------------------------------------screen 2----------------------------------------------*/
/*--------------------------------------page 1------------------------------------------------*/
/*--------------------------------------page 1------------------------------------------------*/
/*--------------------------------------page 1------------------------------------------------*/
/*--------------------------------------page 1------------------------------------------------*/


#screen2 {
    background-image: url(../img/bg2.jpg);
}

/*-----------left-------------*/
#screen2 h2 {
    position: absolute;
    top: 10%;
    left: 18%;
    transform: translate(-50%, -50%);
    color: #F05133;
    font-size: 50px;
}

/* bullets */
.s2left img {
    position: absolute;
    width: 3%;
}

#s2virusBullets1 {
    top: 100px;
    left: 7px;
}

#s2virusBullets2 {
    top: 240px;
    left: 7px;
}

#s2virusBullets3 {
    top: 380px;
    left: 7px;
}

/* text */
#s2left1 {
    position: absolute;
    width: 300px;
    margin-top: 100px;
    margin-left: 40px;
}

#s2left2 {
    position: absolute;
    width: 300px;
    margin-top: 240px;
    margin-left: 40px;
}

#s2left3 {
    position: absolute;
    width: 300px;
    margin-top: 380px;
    margin-left: 40px;
}


/*-----------right-------------*/

#s2ele1 {
    width: 10%;
    position: absolute;
    top: 15px;
    left: 408px;
}

#s2ele2 {
    width: 10%;
    position: absolute;
    top: 115px;
    right: 40px;
}

#s2ele3 {
    width: 10%;
    position: absolute;
    top: 215px;
    left: 408px;
}

#s2ele4 {
    width: 10%;
    position: absolute;
    top: 315px;
    right: 40px;
}

#s2ele5 {
    width: 10%;
    position: absolute;
    top: 415px;
    left: 408px;
}

.s2right .text {
    position: absolute;
    width: 44%;
}

#s2ele1Text {
    top: 30px;
    right: 30px;
}

#s2ele2Text {
    top: 130px;
    right: 140px;
}

#s2ele3Text {
    top: 230px;
    right: 30px;
}

#s2ele4Text {
    top: 330px;
    right: 140px;
}

#s2ele5Text {
    top: 430px;
    right: 30px;
}

/*--------------------------------------screen 3----------------------------------------------*/
/*--------------------------------------page 2------------------------------------------------*/
/*--------------------------------------page 2------------------------------------------------*/
/*--------------------------------------page 2------------------------------------------------*/
/*--------------------------------------page 2------------------------------------------------*/

#screen3 {
    background-image: url(../img/bg3.jpg);
}

#s3airp {
    position: absolute;
    width: 68%;
}

#s3title {
    position: absolute;
    width: 200px;
    top: 33px;
    left: 250px;
}

/*-----------right-------------*/
.s3right img {
    position: absolute;
    width: 10%;
}

#s3right1 {
    transform: scale(1.5);
    top: 60px;
    right: 160px;
}

#s3right2 {
    transform: scale(1.2);
    top: 160px;
    right: 30px;
}

#s3right3 {
    transform: scale(1);
    top: 200px;
    right: 160px;
}

#s3rightG {
    transform: scale(2.5);
    top: 380px;
    right: 100px;
}

/*-----------left-------------*/
.s3left img {
    position: absolute;
    height: 25px;
}

#s3left1 {
    top: 230px;
    left: 100px;
}

#s3left2 {
    top: 320px;
    left: 210px;
}

#s3left3 {
    top: 180px;
    left: 410px;
}

#s3left4 {
    top: 260px;
    left: 440px;
}

#s3left5 {
    top: 195px;
    left: 290px;
}

#s3left6 {
    top: 230px;
    left: 235px;
}

#s3left7 {
    top: 320px;
    left: 120px;
}

#s3left8 {
    top: 360px;
    left: 120px;
}

#s3left9 {
    top: 230px;
    left: 320px;
}

#s3left10 {
    top: 260px;
    left: 365px;
}

#s3leftG {
    transform: scale(13);
    top: 370px;
    left: 310px;
}

/*--------------------------------------screen 4----------------------------------------------*/
/*--------------------------------------page 3------------------------------------------------*/
/*--------------------------------------page 3------------------------------------------------*/
/*--------------------------------------page 3------------------------------------------------*/
/*--------------------------------------page 3------------------------------------------------*/

#screen4 {
    background-image: url(../img/bg4.jpg);
}

#screen4 h2 {
    font-size: 50px;
    margin-left: 30px;
}

#screen4 h3 {
    position: absolute;
    top: 20px;
    left: 260px;
    font-size: 24px;
    font-weight: 200;
    color: #006D8E;
}

/*-----------left-------------*/
.s4left img {
    position: absolute;
    width: 25%;
}

#s4left1 {
    opacity: 0;
    top: 100px;
    left: 15px;
}

#s4left2 {
    opacity: 0;
    top: 160px;
    left: 15px;
}

#s4left3 {
    opacity: 0;
    top: 220px;
    left: 15px;
}

#s4left4 {
    opacity: 0;
    top: 280px;
    left: 15px;
}

#s4left5 {
    opacity: 0;
    top: 340px;
    left: 15px;
}

#s4left6 {
    opacity: 0;
    top: 400px;
    left: 15px;
}

#s4left7 {
    opacity: 0;
    top: 460px;
    left: 15px;
}

/*-----------left virus-------------*/
.s4leftVirus img {
    position: absolute;
    width: 20px;
}

#s4virus1 {
    top: 150px;
    left: 465px;
}

#s4virus2 {
    top: 180px;
    left: 465px;
}

#s4virus3 {
    top: 210px;
    left: 460px;
}

#s4virus4 {
    top: 240px;
    left: 465px;
}

#s4virus5 {
    top: 270px;
    left: 480px;
}

#s4virus6 {
    top: 330px;
    left: 465px;
}

#s4virus7 {
    top: 430px;
    left: 415px;
}


/*-----------right-------------*/
.s4right img {
    position: absolute;
    width: 20%;
}

#s4right1 {
    top: 0px;
    right: 10px;
}

#s4right2 {
    top: 95px;
    right: 10px;
}

#s4right3 {
    top: 190px;
    right: 10px;
}

#s4right4 {
    top: 285px;
    right: 10px;
}


#s4right5 {
    top: 380px;
    right: 10px;
}

/*--------------------------------------screen 5----------------------------------------------*/
/*--------------------------------------page 4------------------------------------------------*/
/*--------------------------------------page 4------------------------------------------------*/
/*--------------------------------------page 4------------------------------------------------*/
/*--------------------------------------page 4------------------------------------------------*/

/*-----------bg-------------*/
#screen5 {
    background-image: url(../img/bg5.jpg);
}

.s5round {
    text-align: center;
    margin-top: 50px;
}

.s5round img {
    width: 170px;
    margin: 25px;

}

/*-----------click-------------*/
.s5virus img {
    width: 30px;
    position: absolute;
}

#s5virus1 {
    top: 150px;
    left: 120px;
}

#s5virus2 {
    top: 110px;
    left: 300px;
}

#s5virus3 {
    top: 143px;
    right: 350px;
}

#s5virus4 {
    top: 150px;
    right: 170px;
}

#s5virus5 {
    bottom: 165px;
    left: 120px;
}

#s5virus6 {
    bottom: 210px;
    left: 355px;
}

#s5virus7 {
    bottom: 200px;
    right: 350px;
}

#s5virus8 {
    bottom: 200px;
    right: 120px;
}

/*-----------icon-------------*/


.s5icon img {
    position: absolute;
    width: 120px;
}

#s5icon1 {
    top: 100px;
    left: 80px;
}

#s5icon2 {
    transform: scale(0.85);
    top: 100px;
    left: 305px;
}

#s5icon3 {
    transform: scale(0.75);
    top: 80px;
    right: 305px;
}

#s5icon4 {
    transform: scale(1.1);
    top: 130px;
    right: 75px;
}

#s5icon5 {
    bottom: 150px;
    left: 75px;
}

#s5icon6 {
    transform: scale(0.85);
    bottom: 155px;
    left: 305px;
}

#s5icon7 {
    bottom: 170px;
    right: 305px;
}

#s5icon8 {
    transform: scale(0.8);
    bottom: 130px;
    right: 80px;
}

/*-----------text-------------*/
.s5text img {
    height: 15px;
    position: absolute;
}

#s5text1 {
    top: 255px;
    left: 70px;
}

#s5text2 {
    top: 255px;
    left: 310px;
}

#s5text3 {
    top: 255px;
    left: 490px;
}

#s5text4 {
    top: 255px;
    left: 750px;
}

#s5text5 {
    bottom: 105px;
    left: 80px;
}

#s5text6 {
    bottom: 105px;
    left: 280px;
}

#s5text7 {
    bottom: 105px;
    left: 525px;
}

#s5text8 {
    transform: scale(2.7);
    bottom: 91px;
    right: 105px;
}

/*--------------------------------------screen 6----------------------------------------------*/
/*--------------------------------------page 5------------------------------------------------*/
/*--------------------------------------ref---------------------------------------------------*/
/*--------------------------------------ref---------------------------------------------------*/
/*--------------------------------------ref---------------------------------------------------*/

#screen6 {
    background-image: url(../img/bg6.jpg);
}

#screen6 h2 {
    color: white;
    font-size: 50px;
    margin-top: 20px;
    margin-left: 330px;
}


#screen6 img {
    position: absolute;
    width: 300px;
}

#s6virus1 {
    top: 30px;
    left: 0px;
}

#s6virus2 {
    top: 260px;
    left: 110px;
}


#s6virus3 {
    top: 150px;
    left: 380px;
}

#s6virus4 {
    top: 0px;
    right: 30px;
}

#s6virus5 {
    top: 250px;
    right: 0px;
}

#s6s6virus2 {
    top: 100px;
    left: 190px;
}

#screen6 p {
    position: absolute;
    color: white;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
}

#s6p1 {
    top: 160px;
    left: 90px;
}

#s6p2 {
    top: 400px;
    left: 190px;
}

#s6p3 {
    top: 270px;
    left: 490px;
}

#s6p4 {
    top: 135px;
    right: 110px;
}

#s6p5 {
    top: 335px;
    right: 82px;
}
